<?php

namespace App\Models\goods\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

/**
 * Class InventoryOperationRecord
 * 库存操作记录
 * @package App\Models\goods\mysql
 */
class InventoryOperationRecord extends MysqlBase
{
    const TABLE_NAME = 'inventory_operation_record';
    const CONFIG_INDEX = 'goods';

    public static function getRecord($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::get($colums, $where);
    }

    public static function getRecordMaster($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::selectMaster($colums, $where);
    }

    public static function insertRecord($colums)
    {
        return self::insert($colums);
    }
}